Subject: bug#32183: New ‘guix pull’ /root/.config/current/bin/guix: Permission denied

From: Konrad Hinsen <[email-masked]>
Date: Fri, 12 Oct 2018 08:59:13 +0200

Hi Ludo,
> I believe commit ed9d7cb4d95f8f4776e6fee2778ab52bc2852969 fixes it.
>
> That is, if you run ‘guix pull’ as root and then start
> ~/.config/guix/current/bin/guix-daemon, everything should be fine.
Let's say the bug seems to be elsewhere now ;-)

When I try to build something after following your instructions, I get 
the error message

/gnu/store/bkkf11ixn67cwcw05nw9w9yd68i4jf23-guix-daemon-0.15.0-5.1d0be47/libexec/guix/download: 
line 8: /var/guix/profiles/per-user/root/current-guix/bin/guix: No such 
file or directory

And indeed there is no guix at that place. I guess it should be

/var/guix/profiles/per-user/root/guix-profile/bin/guix

I can try fixing the download script and testing again, but not before 
next week, sorry!

Konrad.